Vue Notus Alerts

Made with Tailwind CSS, they are elements that provide contextual feedback messages for user actions. The notification is a simple colored block meant to draw the attention to the user about something.


Examples

Static Alert

emerald! This is a emerald alert - check it out!
<div class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-emerald-500">
  <span class="text-xl inline-block mr-5 align-middle">
    <i class="fas fa-bell"></i>
  </span>
  <span class="inline-block align-middle mr-8">
    <b class="capitalize">emerald!</b> This is a emerald alert - check it out!
  </span>
  <button class="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none">
    <span>×</span>
  </button>
</div>

Closing (Dynamic) Alert

emerald! This is a emerald alert - check it out!
<template>
  <div v-if="alertOpen" class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-emerald-500">
    <span class="text-xl inline-block mr-5 align-middle">
      <i class="fas fa-bell"></i>
    </span>
    <span class="inline-block align-middle mr-8">
      <b class="capitalize">emerald!</b> This is a emerald alert - check it out!
    </span>
    <button class="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none" v-on:click="closeAlert()">
      <span>×</span>
    </button>
  </div>
</template>

<script>
export default {
  name: "emerald-alert",
  data() {
    return {
      alertOpen: true
    }
  },
  methods: {
    closeAlert: function(){
      this.alertOpen = false;
    }
  }
}
</script>

Made with Tailwind CSS, they are elements that provide contextual feedback messages for user actions. The notification is a simple colored block meant to draw the attention to the user about something.
Examples
Static Alert
blueGray! This is a blueGray alert - check it out!
red! This is a red alert - check it out!
orange! This is a orange alert - check it out!
amber! This is a amber alert - check it out!
emerald! This is a emerald alert - check it out!
teal! This is a teal alert - check it out!
lightBlue! This is a lightBlue alert - check it out!
indigo! This is a indigo alert - check it out!
purple! This is a purple alert - check it out!
pink! This is a pink alert - check it out!
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-blueGray-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">blueGray!</b> This is a blueGray alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-red-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">red!</b> This is a red alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-orange-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">orange!</b> This is a orange alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-amber-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">amber!</b> This is a amber alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-emerald-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">emerald!</b> This is a emerald alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-teal-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">teal!</b> This is a teal alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-lightBlue-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">lightBlue!</b> This is a lightBlue alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-indigo-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">indigo!</b> This is a indigo alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-purple-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">purple!</b> This is a purple alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
<divclass="text-white px-6 py-4 border-0 rounded relative mb-4 bg-pink-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">pink!</b> This is a pink alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"><span>×</span></button></div>
Closing (Dynamic) Alert
blueGray! This is a blueGray alert - check it out!
red! This is a red alert - check it out!
orange! This is a orange alert - check it out!
amber! This is a amber alert - check it out!
emerald! This is a emerald alert - check it out!
teal! This is a teal alert - check it out!
lightBlue! This is a lightBlue alert - check it out!
indigo! This is a indigo alert - check it out!
purple! This is a purple alert - check it out!
pink! This is a pink alert - check it out!
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-blueGray-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">blueGray!</b> This is a blueGray alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-red-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">red!</b> This is a red alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-orange-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">orange!</b> This is a orange alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-amber-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">amber!</b> This is a amber alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-emerald-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">emerald!</b> This is a emerald alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-teal-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">teal!</b> This is a teal alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-lightBlue-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">lightBlue!</b> This is a lightBlue alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-indigo-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">indigo!</b> This is a indigo alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-purple-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">purple!</b> This is a purple alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}
<script>letalertOpen=true;functioncloseAlert(){alertOpen=false;}</script>
{#if alertOpen}
<divv-if="alertOpen"class="text-white px-6 py-4 border-0 rounded relative mb-4 bg-pink-500"><spanclass="text-xl inline-block mr-5 align-middle"><iclass="fas fa-bell"></i></span><spanclass="inline-block align-middle mr-8"><bclass="capitalize">pink!</b> This is a pink alert - check it out!
</span><buttonclass="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"on:click={closeAlert}><span>×</span></button></div>
{/if}

Notus React Alerts

Made with Tailwind CSS, they are elements that provide contextual feedback messages for user actions. The notification is a simple colored block meant to draw the attention to the user about something.


Examples

Static Alert

lightBlue! This is a lightBlue alert - check it out!
<div className="text-white px-6 py-4 border-0 rounded relative mb-4 bg-lightBlue-500">
  <span className="text-xl inline-block mr-5 align-middle">
    <i className="fas fa-bell"></i>
  </span>
  <span className="inline-block align-middle mr-8">
    <b className="capitalize">lightBlue!</b> This is a lightBlue alert - check it out!
  </span>
  <button className="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none">
    <span>×</span>
  </button>
</div>

Closing (Dynamic) Alert

lightBlue! This is a lightBlue alert - check it out!
import React from "react";

const Alert = () => {
  const [showAlert, setShowAlert] = React.useState(true);
  return (
    <>
      {showAlert ? (
        <div
          className="text-white px-6 py-4 border-0 rounded relative mb-4 bg-lightBlue-500"
        >
          <span className="text-xl inline-block mr-5 align-middle">
            <i className="fas fa-bell" />
          </span>
          <span className="inline-block align-middle mr-8">
            <b className="capitalize">lightBlue!</b> This is a lightBlue alert -
            check it out!
          </span>
          <button
            className="absolute bg-transparent text-2xl font-semibold leading-none right-0 top-0 mt-4 mr-6 outline-none focus:outline-none"
            onClick={() => setShowAlert(false)}
          >
            <span>×</span>
          </button>
        </div>
      ) : null}
    </>
  );
};

export default Alert;